## snapcraft 2.43.1%2B16.04.1

=== tests/integration/snaps/independent-parts/part2/Makefile ===
all:

install:
	@mkdir -p $(DESTDIR)/bin
	@cp file2 $(DESTDIR)/bin/
