## snapcraft 2.43.1%2B18.04.1

=== main/Makefile ===
obj-y := main.o
obj-y += my_functions.o
