=== tests/integration/snaps/dependencies/p3/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	gcc -o p3 $(CFLAGS) $(LDFLAGS) p3.c -lp1 -lp2

install:
	mkdir -p $(DESTDIR)/bin
	cp -a p3 $(DESTDIR)/bin
