=== tests/spread/plugins/catkin/snaps/catkin-shared-ros/producer/src/underlay_package/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(underlay_package)

find_package(catkin REQUIRED)

catkin_package()
