=== debian/control ===
Source: snapcraft
Section: utils
Priority: extra
Maintainer: Snapcraft Team <snapcraft@lists.snapcraft.io>
Build-Depends: bash-completion,
               bzr,
               cpio,
               debhelper (>= 9),
               dh-python,
               execstack,
               git,
               mercurial,
               p7zip-full,
               patchelf (>= 0.9),
               pkg-config,
               python3 (>= 3.4),
               python3-apt,
               python3-click,
               python3-debian,
               python3-docopt,
               python3-fixtures,
               python3-jsonschema,
               python3-lxml,
               python3-paramiko,
               python3-petname,
               python3-pkg-resources,
               python3-progressbar,
               python3-pyelftools,
               python3-pymacaroons,
               python3-pyramid,
               python3-pysha3,
               python3-requests,
               python3-requests-toolbelt,
               python3-requests-unixsocket,
               python3-responses,
               python3-simplejson,
               python3-setuptools,
               python3-tabulate,
               python3-testscenarios,
               python3-testtools,
               python3-xdg,
               python3-yaml,
               rpm2cpio,
               subversion,
               squashfs-tools,
               xdelta3,
Homepage: https://github.com/snapcore/snapcraft
Vcs-Git: https://github.com/snapcore/snapcraft.git
Vcs-Browser: https://github.com/snapcore/snapcraft
Standards-Version: 3.9.8

Package: snapcraft
Architecture: all
Depends: binutils,
         execstack,
         patchelf (>= 0.9),
         python3-apt,
         python3-debian,
         python3-click,
         python3-jsonschema,
         python3-lxml,
         python3-paramiko,
         python3-petname,
         python3-pkg-resources,
         python3-progressbar,
         python3-pyelftools,
         python3-pymacaroons,
         python3-pysha3,
         python3-requests,
         python3-requests-toolbelt,
         python3-requests-unixsocket,
         python3-setuptools,
         python3-simplejson,
         python3-tabulate,
         python3-xdg,
         python3-yaml,
         squashfs-tools,
         sudo,
         xdelta3,
         ${misc:Depends},
         ${python3:Depends}
Suggests: lxd, snapd (>= 2.15~)
Description: easily craft snaps
 Snapcraft aims to make upstream developers' lives easier and as such is not
 a single toolset, but instead is a collection of tools that enable the
 natural workflow of an upstream to be extended with a simple release step
 into Snappy.

Package: snapcraft-parser
Architecture: all
Depends: snapcraft (= ${binary:Version}),
         python3-docopt,
         ${misc:Depends},
         ${python3:Depends},
Description: cloud parser for shared snapcraft parts.
 The parser is in charge of getting all the shared parts out there
 indexed into a common cacheable file. It processes multiple origin's
 specified in yaml documents and outputs `parts` which snapcraft can
 utilize.

Package: snapcraft-examples
Architecture: all
Depends: snapcraft (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
Description: examples and demos for snapcraft
 Snapcraft aims to make upstream developers' lives easier and as such is not
 a single toolset, but instead is a collection of tools that enable the
 natural workflow of an upstream to be extended with a simple release step
 into Snappy.
 .
 This package contains examples and demos for snapcraft.
