=== lib/Makefile ===
lib-$(CONFIG_LOG_ENABLE) += logmsg.o
