=== scripts/Makefile ===
# Let clean descend into subdirs
subdir-	+= basic kconfig
