=== tests/integration/snaps/make-with-artifacts/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	gcc -o test test.c
