=== tests/integration/snaps/scriptlet-build/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

build:
	touch build-build
	touch jobs-$(SNAPCRAFT_PARALLEL_BUILD_COUNT)

move-to-dest:
	touch $(DESTDIR)/build-install
