## snapcraft 2.43.1+18.10

=== debian/changelog ===
snapcraft (2.43.1+18.10) cosmic; urgency=medium

  [ Sergio Schvezov ]
  * lxd: support new style snap injection (#2222)
  * snap: prepare override scripts to allow rebuilding (#2223)
  * lxd: wait for cloud-init (#2227)
  * storeapi: handle releasing to a curly braced branch (#2228)
  * snap: use set-version and set-grade (#2230)
  * lxd: proper filename set when using architectures (#2232)
  * tests: cover manifest generation with review-tools (#2235)
  * reporting: record the released version for errors (#2238)
  * file_utils: find tool when using docker and deb (#2240)
  * elf: better messaging on glibc ABI incompatibilities (#2241)
  * New upstream release (LP: #1789766)

  [ Kyle Fazzari ]
  * spread: stop running catkin tests on 18.10 (#2221)
  * snapcraftctl: run in isolation mode (#2224)
  * templates: reimplement templates as python classes (#2226)
  * templates: rename to extensions (#2233)
  * cli: add list-extensions command (#2237)
  * extensions: fix install path (#2236)

  [ Evan Dandrea]
  * reporting: improve messaging on errors (#2242)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 30 Aug 2018 00:08:05 +0000
