=== debian/control ===
Source: snapcraft
Section: utils
Priority: extra
Maintainer: Snapcraft Team <snapcraft@lists.snapcraft.io>
Build-Depends: debhelper (>= 11), po-debconf
Homepage: https://snapcraft.io
Vcs-Git: https://github.com/snapcore/snapcraft.git
Vcs-Browser: https://github.com/snapcore/snapcraft
Standards-Version: 4.3.0

Package: snapcraft
Architecture: all
Depends: ${misc:Depends},
Pre-Depends: debconf, snapd
Breaks: snapcraft-parser (<< 3.0~), snapcraft-examples (<< 3.0~)
Replaces: snapcraft-parser (<< 3.0~), snapcraft-examples (<< 3.0~)
Section: oldlibs
Description: Transitional package - snapcraft -> snap (snapcraft)
  This is a transitional dummy package. It can safely be removed.
  .
  snapcraft is now replaced by the Snapcraft snap.

Package: snapcraft-parser
Architecture: all
Depends: snapcraft (>= ${source:Version}), ${misc:Depends},
Section: oldlibs
Description: Transitional package - snapcraft-parser -> snap (snapcraft)
  This is a transitional dummy package. It can safely be removed.
  .
  snapcraft-parser is no longer part of Snapcraft.

Package: snapcraft-examples
Architecture: all
Depends: snapcraft (>= ${source:Version}), ${misc:Depends},
Section: oldlibs
Description: Transitional package - snapcraft-examples -> snap (snapcraft)
  This is a transitional dummy package. It can safely be removed.
  .
  snapcraft-examples is no longer part of Snapcraft.
