=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode:Makefile; indent-tabs-mode:t; tab-width:4 -*-

%:
	dh $@
