=== debian/tests/control ===
Tests: deb2snap
Restrictions: allow-stderr, isolation-machine
Depends: @,
         grep
