## snapcraft 3.0ubuntu2

=== debian/changelog ===
snapcraft (3.0ubuntu2) groovy; urgency=medium

  * autopkgtests: make version check more flexible (LP: 1894849)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Sep 2020 15:46:02 +0200
